import request from '@/utils/request' //引入axios请求及拦截器
export default {
    //新增岗位
    addsystempost(data) {
        return request({
            url: '/system/post',
            method: 'post',
            data
        })
    },
    //修改岗位
    editsystempost(data) {
        return request({
            url: '/system/post/edit',
            method: 'post',
            data
        })
    },
    //岗位列表
    inquiresystempostList(data) {
        return request({
            url: '/system/post/list',
            method: 'get',
            params: data
        })
    },
    //根据岗位编号获取详细信息
    obtainsystempost(data) {
        return request({
            url: `/system/post/` + data,
            method: 'get',
        })
    },
}